<?php

namespace Litecms\Transactioninsert\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TransactioninsertTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Transactioninsert\Models\Transactioninsert $transactioninsert)
    {
        return [
            'id'                => $transactioninsert->getRouteKey(),
            'key'               => [
                'public'    => $transactioninsert->getPublicKey(),
                'route'     => $transactioninsert->getRouteKey(),
            ], 
            'name'              => $transactioninsert->name,
            'amount'            => $transactioninsert->amount,
            'url'               => [
                'public'    => trans_url('transactioninsert/'.$transactioninsert->getPublicKey()),
                'user'      => guard_url('transactioninsert/transactioninsert/'.$transactioninsert->getRouteKey()),
            ], 
            'status'            => trans('app.'.$transactioninsert->status),
            'created_at'        => format_date($transactioninsert->created_at),
            'updated_at'        => format_date($transactioninsert->updated_at),
        ];
    }
}